org.eclipse.incquery.viewers.runtime.extensions

## Class SelectionHelper

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.extensions.SelectionHelper

-     public class SelectionHelper
      extends java.lang.Object

  Helper class for bidirectional selection synchronization support for IncQuery Viewers components.
  Author:
    istvanrath

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set<org.eclipse.jface.viewers.ISelectionChangedListener>` | `selectionChangedListeners`
    `org.eclipse.jface.viewers.ISelectionChangedListener` | `trickyListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.jface.viewers.ISelection` | `unwrapElements_EObjectsToViewersElements(org.eclipse.jface.viewers.ISelection sel, ViewerState state)`
    `org.eclipse.jface.viewers.ISelection` | `unwrapElements_ViewersElementsToEObjects(org.eclipse.jface.viewers.ISelection sel)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selectionChangedListeners

          public java.util.Set<org.eclipse.jface.viewers.ISelectionChangedListener> selectionChangedListeners

    - #### trickyListener

          public org.eclipse.jface.viewers.ISelectionChangedListener trickyListener

  - ### Constructor Detail

    - #### SelectionHelper

          public SelectionHelper()

  - ### Method Detail

    - #### unwrapElements_ViewersElementsToEObjects

          public org.eclipse.jface.viewers.ISelection unwrapElements_ViewersElementsToEObjects(org.eclipse.jface.viewers.ISelection sel)

    - #### unwrapElements_EObjectsToViewersElements

          public org.eclipse.jface.viewers.ISelection unwrapElements_EObjectsToViewersElements(org.eclipse.jface.viewers.ISelection sel,
                                                                                               ViewerState state)